"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDeployment = exports.getConfig = exports.getConfigFromPackageConfig = void 0;
var utils_package_1 = require("@goldstack/utils-package");
var utils_config_1 = require("@goldstack/utils-config");
var configSchema_json_1 = __importDefault(require("./schemas/configSchema.json"));
exports.getConfigFromPackageConfig = function (packageConfig) {
    utils_config_1.validateConfig(packageConfig, configSchema_json_1.default, {
        errorMessage: 'Cannot load configuration for Lambda Express package.',
    });
    return packageConfig.configuration;
};
exports.getConfig = function () {
    var packageConfig = utils_package_1.readPackageConfig();
    return exports.getConfigFromPackageConfig(packageConfig);
};
exports.getDeployment = function (config, args) {
    if (args.length < 1) {
        throw new Error('Please specify the name of the deployment.');
    }
    var name = args[0];
    var deployment = config.deployments.find(function (deployment) { return deployment.name === name; });
    if (!deployment) {
        throw new Error("Cannot find configuration for deployment '" + name + "''");
    }
    return deployment;
};
//# sourceMappingURL=templateLambdaExpressConfig.js.map